org.appng.appngizer.controller

## Class PermissionController

- java.lang.Object
- - org.appng.appngizer.controller.ControllerBase
  - - org.appng.appngizer.controller.PermissionController

-     @RestController
      public class PermissionController
      extends ControllerBase

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.controller.ControllerBase

      `configurer, context, coreService, databaseService, session, templateService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.http.ResponseEntity<Permission>` | `createPermission(String app, Permission permission)`
    `org.springframework.http.ResponseEntity<Void>` | `deletePermission(String app, String name)`
    `org.springframework.http.ResponseEntity<Permission>` | `getPermission(String app, String name)`
    `org.springframework.http.ResponseEntity<Permissions>` | `listPermissions(String app)`
    `org.springframework.http.ResponseEntity<Permission>` | `updatePermission(String app, String name, Permission permission)`

    - ### Methods inherited from class org.appng.appngizer.controller.ControllerBase

      `getDatabaseStatus, getSharedSecret, onBusinessException, onConflictException, onConstraintViolationException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionController

          public PermissionController()

  - ### Method Detail

    - #### listPermissions

          @GetMapping(value="/application/{app}/permission")
          public org.springframework.http.ResponseEntity<Permissions> listPermissions(@PathVariable(value="app")
                                                                                                                                         String app)

    - #### getPermission

          @GetMapping(value="/application/{app}/permission/{name}")
          public org.springframework.http.ResponseEntity<Permission> getPermission(@PathVariable(value="app")
                                                                                                                                             String app,
                                                                                                                                             @PathVariable(value="name")
                                                                                                                                             String name)

    - #### createPermission

          @PostMapping(value="/application/{app}/permission")
          public org.springframework.http.ResponseEntity<Permission> createPermission(@PathVariable(value="app")
                                                                                                                                          String app,
                                                                                                                                          @RequestBody
                                                                                                                                          Permission permission)

    - #### updatePermission

          @PutMapping(value="/application/{app}/permission/{name}")
          public org.springframework.http.ResponseEntity<Permission> updatePermission(@PathVariable(value="app")
                                                                                                                                                String app,
                                                                                                                                                @PathVariable(value="name")
                                                                                                                                                String name,
                                                                                                                                                @RequestBody
                                                                                                                                                Permission permission)

    - #### deletePermission

          @DeleteMapping(value="/application/{app}/permission/{name}")
          public org.springframework.http.ResponseEntity<Void> deletePermission(@PathVariable(value="app")
                                                                                                                                             String app,
                                                                                                                                             @PathVariable(value="name")
                                                                                                                                             String name)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.